function initSettings()
{   // initialisation des settings
    
    nbJoursAvant = System.Gadget.Settings.read("nbJoursAvant");
    nbJoursApres = System.Gadget.Settings.read("nbJoursApres");      
    if (nbJoursAvant == '')
    {
        System.Gadget.Settings.write("nbJoursAvant", 3); // valeur par dfaut
        nbJoursAvant = 3;
    };
    if (nbJoursApres == '')
    {
        System.Gadget.Settings.write("nbJoursApres", 5); // valeur par dfaut
        nbJoursApres = 5;
    };
    
	txtNbJoursAvant.value = nbJoursAvant;
	txtNbJoursApres.value = nbJoursApres;
}

function saveSettings()
{   // sauvegarde des settings
    
    nbJoursAvant = txtNbJoursAvant.value;
    nbJoursApres = txtNbJoursApres.value;
    
    if (isNaN(parseInt(nbJoursAvant))) { nbJoursAvant = '' };
    if (isNaN(parseInt(nbJoursApres))) { nbJoursApres = '' };
    
    System.Gadget.Settings.write("nbJoursAvant",nbJoursAvant);    
    System.Gadget.Settings.write("nbJoursApres",nbJoursApres);
    if (nbJoursAvant === '')
    {
        System.Gadget.Settings.write("nbJoursAvant", 3); // valeur par dfaut
    };
    if (nbJoursApres === '')
    {
        System.Gadget.Settings.write("nbJoursApres", 5); // valeur par dfaut
    };
    
}

function SettingsClosing()
{
	if (event.closeAction == event.Action.commit) {
		saveSettings();
	}
	event.cancel = false;
}


